OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.AMD.StencilOperationExtended

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDStencilOperationExtended :: MonadIO m => m Bool
- gl_AMD_stencil_operation_extended :: Bool
- gl_REPLACE_VALUE_AMD :: GLenum
- gl_SET_AMD :: GLenum
- gl_STENCIL_BACK_OP_VALUE_AMD :: GLenum
- gl_STENCIL_OP_VALUE_AMD :: GLenum
- glStencilOpValueAMD :: MonadIO m => GLenum -> GLuint -> m ()

# Extension Support

glGetAMDStencilOperationExtended :: MonadIO m => m Bool

Is the AMD_stencil_operation_extended extension supported?

gl_AMD_stencil_operation_extended :: Bool

Is the AMD_stencil_operation_extended extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDStencilOperationExtended` in those cases instead.

# Enums

gl_REPLACE_VALUE_AMD :: GLenum

gl_SET_AMD :: GLenum

gl_STENCIL_BACK_OP_VALUE_AMD :: GLenum

gl_STENCIL_OP_VALUE_AMD :: GLenum

# Functions

glStencilOpValueAMD

Arguments

:: MonadIO m |
=> GLenum | `face` of type `StencilFaceDirection`.
-> GLuint | `value`.
-> m () |